Package org.globus.gsi

# Interface GSIConstants

All Known Subinterfaces:
  `GSIConstants`

All Known Implementing Classes:
  `GSIHTTPTransport`, `HTTPSTransport`

public interface GSIConstants
Defines common constants used by GSI.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`GSIConstants.CertificateType`
Enumeration of Certificate types used by the Globus security provider.
`static enum`
`GSIConstants.DelegationType`
Enumeration of Certificate types used by the Globus security provider.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHZ_REQUIRED_WITH_DELEGATION`
It is set to a Boolean value and if false, client authorization requirement with delegation is disabled.
`static final int`
`CA`
Deprecated.
Use CertificateType.CA instead
`static final char`
`DELEGATION_CHAR`
The character sent on the wire to request delegation
`static final int`
`DELEGATION_FULL`
Deprecated.
Use DelegationType.FULL instead
`static final int`
`DELEGATION_LIMITED`
Deprecated.
Use DelegationType.LIMITED instead
`static final int`
`DELEGATION_NONE`
Deprecated.
Use DelegationType.NONE instead
`static final Integer`
`DELEGATION_TYPE_FULL`
Indicates full delegation.
`static final Integer`
`DELEGATION_TYPE_LIMITED`
Indicates limited delegation.
`static final int`
`EEC`
Deprecated.
Use CertificateType.EEC instead
`static final Integer`
`ENCRYPTION`
privacy message protection method.
`static final String[]`
`GLOBUS_CIPHER`
Null ciphersuite supported in older Globus servers
`static final int`
`GSI_2_LIMITED_PROXY`
Deprecated.
Use CertificateType.GSI_2_LIMITED_PROXY instead
`static final int`
`GSI_2_PROXY`
Deprecated.
Use CertificateType.GSI_2_PROXY instead
`static final int`
`GSI_3_IMPERSONATION_PROXY`
Deprecated.
Use CertificateType.GSI_3_IMPERSONATION_PROXY instead
`static final int`
`GSI_3_INDEPENDENT_PROXY`
Deprecated.
Use CertificateType.GSI_3_INDEPENDENT_PROXY instead
`static final int`
`GSI_3_LIMITED_PROXY`
Deprecated.
Use CertificateType.GSI_3_RESTRICTED_PROXY instead
`static final int`
`GSI_3_RESTRICTED_PROXY`
Deprecated.
Use CertificateType.GSI_3_RESTRICTED_PROXY instead
`static final int`
`GSI_4_IMPERSONATION_PROXY`
Deprecated.
Use CertificateType.GSI_4_IMPERSONATION_PROXY instead
`static final int`
`GSI_4_INDEPENDENT_PROXY`
Deprecated.
Use CertificateType.GSI_4_INDEPENDENT_PROXY instead
`static final int`
`GSI_4_LIMITED_PROXY`
Deprecated.
Use CertificateType.GSI_4_LIMITED_PROXY instead
`static final int`
`GSI_4_RESTRICTED_PROXY`
Deprecated.
Use CertificateType.GSI_4_RESTRICTED_PROXY instead
`static final String`
`GSI_TRANSPORT`
GSI Transport protection method type that will be used or was used to protect the request.
`static final Integer`
`MODE_GSI`
Indicates GSI mode (allows for delegation during authentication).
`static final Integer`
`MODE_SSL`
Indicates SSL compatibility mode (does not allow for delegation during authentication).
`static final Integer`
`NONE`
none message protection method.
`static final Integer`
`SIGNATURE`
integrity message protection method.
`static final String`
`TRUSTED_CERTIFICATES`
It is used to set a list of trusted certificates to use during authentication (by default, the trusted certificates are loaded from a standard location) The value is an instance of `TrustedCertificates`

## Field Details

### DELEGATION_CHAR

static final char DELEGATION_CHAR
The character sent on the wire to request delegation

See Also:
  - Constant Field Values

### GLOBUS_CIPHER

static final String[] GLOBUS_CIPHER
Null ciphersuite supported in older Globus servers

### DELEGATION_NONE

static final int DELEGATION_NONE
Deprecated.
Use DelegationType.NONE instead
Indicates no delegation

See Also:
  - Constant Field Values

### DELEGATION_LIMITED

static final int DELEGATION_LIMITED
Deprecated.
Use DelegationType.LIMITED instead
Indicates limited delegation. Depending on the settings it might mean GSI-2 limited delegation or GSI-3 limited delegation.

See Also:
  - Constant Field Values

### DELEGATION_FULL

static final int DELEGATION_FULL
Deprecated.
Use DelegationType.FULL instead
Indicates full delegation. Depending on the settings it might mean GSI-2 full delegation or GSI-3 impersonation delegation.

See Also:
  - Constant Field Values

### MODE_GSI

static final Integer MODE_GSI
Indicates GSI mode (allows for delegation during authentication).

### MODE_SSL

static final Integer MODE_SSL
Indicates SSL compatibility mode (does not allow for delegation during authentication).

### DELEGATION_TYPE_FULL

static final Integer DELEGATION_TYPE_FULL
Indicates full delegation.

### DELEGATION_TYPE_LIMITED

static final Integer DELEGATION_TYPE_LIMITED
Indicates limited delegation.

### EEC

static final int EEC
Deprecated.
Use CertificateType.EEC instead
Indicates End-Entity Certificate, e.g. user certificate

See Also:
  - Constant Field Values

### CA

static final int CA
Deprecated.
Use CertificateType.CA instead
Indicates Certificate Authority certificate

See Also:
  - Constant Field Values

### GSI_2_PROXY

static final int GSI_2_PROXY
Deprecated.
Use CertificateType.GSI_2_PROXY instead
Indicates legacy full Globus proxy

See Also:
  - Constant Field Values

### GSI_2_LIMITED_PROXY

static final int GSI_2_LIMITED_PROXY
Deprecated.
Use CertificateType.GSI_2_LIMITED_PROXY instead
Indicates legacy limited Globus proxy

See Also:
  - Constant Field Values

### GSI_3_RESTRICTED_PROXY

static final int GSI_3_RESTRICTED_PROXY
Deprecated.
Use CertificateType.GSI_3_RESTRICTED_PROXY instead
Indicates proxy draft compliant restricted proxy. A proxy with embedded policy.

See Also:
  - Constant Field Values

### GSI_3_INDEPENDENT_PROXY

static final int GSI_3_INDEPENDENT_PROXY
Deprecated.
Use CertificateType.GSI_3_INDEPENDENT_PROXY instead
Indicates proxy draft compliant independent proxy. A proxy with `ProxyPolicy.INDEPENDENT` policy language OID.

See Also:
  - Constant Field Values

### GSI_3_IMPERSONATION_PROXY

static final int GSI_3_IMPERSONATION_PROXY
Deprecated.
Use CertificateType.GSI_3_IMPERSONATION_PROXY instead
Indicates proxy draft compliant impersonation proxy. A proxy with `ProxyPolicy.IMPERSONATION` policy language OID.

See Also:
  - Constant Field Values

### GSI_3_LIMITED_PROXY

static final int GSI_3_LIMITED_PROXY
Deprecated.
Use CertificateType.GSI_3_RESTRICTED_PROXY instead
Indicates proxy draft compliant limited impersonation proxy. A proxy with `ProxyPolicy.LIMITED` policy language OID.

See Also:
  - Constant Field Values

### GSI_4_RESTRICTED_PROXY

static final int GSI_4_RESTRICTED_PROXY
Deprecated.
Use CertificateType.GSI_4_RESTRICTED_PROXY instead
Indicates RFC 3820 compliant restricted proxy. A proxy with embedded policy.

See Also:
  - Constant Field Values

### GSI_4_INDEPENDENT_PROXY

static final int GSI_4_INDEPENDENT_PROXY
Deprecated.
Use CertificateType.GSI_4_INDEPENDENT_PROXY instead
Indicates RFC 3820 compliant independent proxy. A proxy with `ProxyPolicy.INDEPENDENT` policy language OID.

See Also:
  - Constant Field Values

### GSI_4_IMPERSONATION_PROXY

static final int GSI_4_IMPERSONATION_PROXY
Deprecated.
Use CertificateType.GSI_4_IMPERSONATION_PROXY instead
Indicates RFC 3820 compliant impersonation proxy. A proxy with `ProxyPolicy.IMPERSONATION` policy language OID.

See Also:
  - Constant Field Values

### GSI_4_LIMITED_PROXY

static final int GSI_4_LIMITED_PROXY
Deprecated.
Use CertificateType.GSI_4_LIMITED_PROXY instead
Indicates RFC 3820 compliant limited impersonation proxy. A proxy with `ProxyPolicy.LIMITED` policy language OID.

See Also:
  - Constant Field Values

### GSI_TRANSPORT

static final String GSI_TRANSPORT
GSI Transport protection method type that will be used or was used to protect the request. Can be set to: `SIGNATURE` or `ENCRYPTION` or `NONE`.

See Also:
  - Constant Field Values

### SIGNATURE

static final Integer SIGNATURE
integrity message protection method.

### ENCRYPTION

static final Integer ENCRYPTION
privacy message protection method.

### NONE

static final Integer NONE
none message protection method.

### TRUSTED_CERTIFICATES

static final String TRUSTED_CERTIFICATES
It is used to set a list of trusted certificates to use during authentication (by default, the trusted certificates are loaded from a standard location) The value is an instance of `TrustedCertificates`

See Also:
  - Constant Field Values

### AUTHZ_REQUIRED_WITH_DELEGATION

static final String AUTHZ_REQUIRED_WITH_DELEGATION
It is set to a Boolean value and if false, client authorization requirement with delegation is disabled. By default, client side authorization (to authorize the server) is required for delegation of credentials.

See Also:
  - Constant Field Values